Page MenuHomePhabricator

Weird dialog box asking me "http" appears on editing a page
Closed, ResolvedPublic1 Story Points

Description

I tried to edit https://office.wikimedia.org/wiki/Contact_list?action=edit and up popped a nicely VE styled dialog box that had the string "http" (including quotes) as message, and 'ok' and 'cancel' buttons. I hit 'ok' and ended up in a situation where it looks like things are in VE but I can't actually edit anything.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 5 2016, 6:17 PM
Elitre added a subscriber: Elitre.Dec 5 2016, 7:23 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Alex, you were talking about this in IRC — if nothing else, should we add some integration tests asserting the right paths do the things we expect?

greg added a subscriber: greg.Dec 15 2016, 10:34 PM

I just got this same error and weird after state while trying to edit the huge table for the hotel manifest for All Hands on officewiki:

I was just tailing the exception log for completely unrelated reasons and noticed this:

2016-12-16 10:45:27 [WFPFxApAMCQAAErYve8AAACP] mw1208 arwiki 1.29.0-wmf.6 exception ERROR: [WFPFxApAMCQAAErYve8AAACP] /w/api.php   InvalidArgumentException from line 159 of /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMessage.php: Invalid code "504" {"exception_id":"WFPFxApAMCQAAErYve8AAACP"} 
[Exception InvalidArgumentException] (/srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMessage.php:159) Invalid code "504"
  #0 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMessage.php(258): ApiMessage->setApiCode(integer, NULL)
  #1 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMessage.php(233): ApiMessage->__construct(array, integer, NULL)
  #2 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiUsageException.php(143): ApiMessage::create(array, integer, NULL)
  #3 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiBase.php(1734): ApiUsageException::newWithMessage(ApiVisualEditorEdit, array, integer, NULL, NULL)
  #4 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditor.php(120): ApiBase->dieWithError(array, integer)
  #5 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditorEdit.php(196): ApiVisualEditor->requestRestbase(string, string, array, array)
  #6 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditorEdit.php(203): ApiVisualEditorEdit->postData(string, Title, array, array, string)
  #7 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditorEdit.php(145): ApiVisualEditorEdit->postHTML(Title, string, array, string)
  #8 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditorEdit.php(136): ApiVisualEditorEdit->getWikitextNoCache(Title, array, array)
  #9 /srv/mediawiki/php-1.29.0-wmf.6/extensions/VisualEditor/ApiVisualEditorEdit.php(266): ApiVisualEditorEdit->getWikitext(Title, array, array)
  #10 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMain.php(1532): ApiVisualEditorEdit->execute()
  #11 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMain.php(541): ApiMain->executeAction()
  #12 /srv/mediawiki/php-1.29.0-wmf.6/includes/api/ApiMain.php(512): ApiMain->executeActionWithErrorHandling()
  #13 /srv/mediawiki/php-1.29.0-wmf.6/api.php(83): ApiMain->execute()
  #14 /srv/mediawiki/w/api.php(3): include(string)
  #15 {main}

I wonder if that is triggering this issue more often than necessary. Probably a separate issue...

Change 327718 had a related patch set uploaded (by Alex Monk):
Fix I0e802a47: Don't try to send dieWithError error codes as integers

https://gerrit.wikimedia.org/r/327718

Change 327721 had a related patch set uploaded (by Alex Monk):
Fix check for HTTP error

https://gerrit.wikimedia.org/r/327721

Change 327718 merged by jenkins-bot:
Fix I0e802a47: Don't try to send dieWithError error codes as integers

https://gerrit.wikimedia.org/r/327718

Change 327721 merged by jenkins-bot:
Fix loadFail parameter handling

https://gerrit.wikimedia.org/r/327721

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJun 7 2017, 6:39 PM